commit: 93564f5d967540b0061d2f27f39d5590506feaa3
Author: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 20:38:22 2020 +0000
Commit: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 18:59:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93564f5d
sci-libs/shapely: bump to 1.7.1
Signed-off-by: Dennis Lamm <expeditoneer <AT> gentoo.org>
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
sci-libs/shapely/Manifest | 1 +
sci-libs/shapely/shapely-1.7.1.ebuild | 39 +++++++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/sci-libs/shapely/Manifest b/sci-libs/shapely/Manifest
index d2eb3633fd2..0ef111bb11b 100644
--- a/sci-libs/shapely/Manifest
+++ b/sci-libs/shapely/Manifest
@@ -1,2 +1,3 @@
DIST Shapely-1.6.4.post2.tar.gz 225745 BLAKE2B
96e995db6dd1464bac7c2562efdc7f298a5f23c388e44f334db685b1cfa1025ff403db870e11328977a267483726504e03b6d7c47fe4234a3a5966a13b2b7311
SHA512
027c816ef2104f654569ca658b52b87c60e5ba6a45927fcc51c23dd1922f3f9f7fdcea3601160b0a999e39611617142833ccac790777093be8b96a0d9083f78f
DIST shapely-1.7.0.tar.gz 281419 BLAKE2B
1a4e84104f21d2f5a5eb810883a89deb20fd47cf146efed884994786364b29bb5a194b063a50ae21842c07c335cbbee0c3d1a1e4ff4e43e0d083080fe33815ac
SHA512
4d944fc6727e11d004ef7ba0325c159aa5ae03043f17b029ab0a399d6dcd361c4d299ad864a045a99b0229e333d5b42634bc6fd1ed94b914b7cf58fb886af2de
+DIST shapely-1.7.1.tar.gz 293368 BLAKE2B
14d9cb0c2b486a3a20b71c0cde7260ec357287ea020352c0320eea07b91674605bdcd22512b33c5ac5a71b89c3d811946f8dd6d3b90c61398203a4c68f30d067
SHA512
72070437960a8c1cf6504b5f4ccc8ec509f87fb6a90178e291aff14889f5add89f9ed4f7e9a19799ce0835c1aea3f0241eaa6efd4d8ea5b879f2167f7c1de50a
diff --git a/sci-libs/shapely/shapely-1.7.1.ebuild
b/sci-libs/shapely/shapely-1.7.1.ebuild
new file mode 100644
index 00000000000..3e2d10095ce
--- /dev/null
+++ b/sci-libs/shapely/shapely-1.7.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Shapely"
+MY_P="${MY_PN}-${PV}"
+
+PYTHON_COMPAT=( python3_{7..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="https://pypi.org/project/Shapely/
https://github.com/Toblerity/Shapely"
+SRC_URI="https://github.com/Toblerity/Shapely/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=sci-libs/geos-3.3
+"
+
+BDEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs dev-python/matplotlib
+
+python_test() {
+ distutils_install_for_testing
+ ${EPYTHON} -m pytest tests || die "tests failed under ${EPYTHON}"
+}